import Blob from "cross-blob";
export declare class VagAudio {
    name: string;
    data: Float32Array;
    sample_rate: number;
    constructor(name: string, data: Float32Array, sample_rate?: number);
    static get_name(blob: Blob): Promise<string>;
    static from_blob(blob: Blob): Promise<VagAudio>;
    to_blob(): Blob;
}
