export declare enum GsStorageFormat {
    PSMCT32 = 0,
    PSMCT24 = 1,
    PSMCT16 = 2,
    PSMCT16S = 10,
    PSMT8 = 19,
    PSMT4 = 20,
    PSMT8H = 27,
    PSMT4HL = 36,
    PSMT4HH = 44,
    PSMZ32 = 48,
    PSMZ24 = 49,
    PSMZ16 = 50,
    PSMZ16S = 58
}
export declare enum GsTextureFunction {
    MODULATE = 0,
    DECAL = 1,
    HIGHLIGHT = 2,
    HIGHLIGHT2 = 3
}
export declare enum GsAlphaTestMethod {
    NEVER = 0,
    ALWAYS = 1,
    LESS = 2,
    LEQUAL = 3,
    EQUAL = 4,
    GEQUAL = 5,
    GREATER = 6,
    NOTEQUAL = 7
}
export declare enum GsAlphaFailMethod {
    KEEP = 0,
    FB_ONLY = 1,
    ZB_ONLY = 2,
    RGB_ONLY = 3
}
export declare enum GsDepthTestMethod {
    NEVER = 0,
    ALWAYS = 1,
    GEQUAL = 2,
    GREATER = 3
}
export declare enum GsFilter {
    NEAREST = 0,
    LINEAR = 1,
    NEAREST_MIPMAP_NEAREST = 2,
    NEAREST_MIPMAP_LINEAR = 3,
    LINEAR_MIPMAP_NEAREST = 4,
    LINEAR_MIPMAP_LINEAR = 5
}
export declare enum GsWrapMode {
    REPEAT = 0,
    CLAMP = 1,
    REGION_CLAMP = 2,
    REGION_REPEAT = 3
}
export declare enum GsColorParam {
    RgbSource = 0,
    RgbDest = 1,
    Zero = 2
}
export declare enum GsAlphaParam {
    AlphaSource = 0,
    AlphaDest = 1,
    Fix = 2
}
export declare enum GsRegister {
    PRIM = 0,
    RGBAQ = 1,
    ST = 2,
    UV = 3,
    XYZF2 = 4,
    XYZ2 = 5,
    TEX0_1 = 6,
    TEX0_2 = 7,
    CLAMP_1 = 8,
    CLAMP_2 = 9,
    FOG = 10,
    XYZF3 = 12,
    XYZ3 = 13,
    TEX1_1 = 20,
    TEX1_2 = 21,
    TEX2_1 = 22,
    TEX2_2 = 23,
    XYOFFSET_1 = 24,
    XYOFFSET_2 = 25,
    PRMODECONT = 26,
    PRMODE = 27,
    TEXCLUT = 28,
    SCANMSK = 34,
    MIPTBP1_1 = 52,
    MIPTBP1_2 = 53,
    MIPTBP2_1 = 54,
    MIPTBP2_2 = 55,
    TEXA = 59,
    FOGCOL = 61,
    TEXFLUSH = 63,
    SCISSOR_1 = 64,
    SCISSOR_2 = 65,
    ALPHA_1 = 66,
    ALPHA_2 = 67,
    DIMX = 68,
    DTHE = 69,
    COLCLAMP = 70,
    TEST_1 = 71,
    TEST_2 = 72,
    PABE = 73,
    FBA_1 = 74,
    FBA_2 = 75,
    FRAME_1 = 76,
    FRAME_2 = 77,
    ZBUF_1 = 78,
    ZBUF_2 = 79,
    BITBLTBUF = 80,
    TRXPOS = 81,
    TRXREG = 82,
    TRXDIR = 83,
    HWREG = 84,
    SIGNAL = 96,
    FINISH = 97,
    LABEL = 98
}
